Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

After upgrade from 10.10 -> 11.04 -> 11.10 -> 12.04 I got this error:

https://lh6.googleusercontent.com/-MQNjk0xPw9Q/T64lLoS4t4I/AAAAAAAAP9o/y1T4bN0p1hc/s681/IMG_20120512_165332.jpg

How can I solve this?

share|improve this question
add comment

2 Answers 2

Line 159.xxx kvm_intel: unknown parameter 'nested' says it all. You are attempting to do nested virtualization, i.e. run a virtual machine within another virtual machine (aka hypervisor), on a physical machine with an Intel processor. KVM supports this experimentally, but your kernel needs to have KVM with that support enabled. It looks like yours does not. Please see this tutorial for details on how to enable it.

share|improve this answer
    
That tutorial explains how to add the 'nested' option, but that isn't the problem. He already has the 'nested' option enable to get the error message "kvm_intel: unknown parameter 'nested'". He actually needs to remove it because it is no longer a parameter for the kvm_intel module. –  curtlee2002 Jul 23 '13 at 15:56
add comment

When you upgraded it didn't remove this file /etc/modprobe.d/qemu-system-x86.conf. The file contains option kvm-intel nested=1, but the nested option is no longer available. This causes loading the module to fail. Simply remove /etc/modprobe.d/qemu-system-x86.conf.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.